# $Revision: 1.9 $, $Date: 2002/06/30 00:35:18 $
%define		mod_name	auth_checkpasswd
%define 	apxs		/usr/sbin/apxs
Summary:	This is the CHECKPASSWD authentication module for Apache
Summary(pl):	To jest modu Apache autentykujcy przez CHECKPASSWD
Name:		apache-mod_%{mod_name}
Version:	1.0
Release:	4
License:	GPL
Group:		Networking/Daemons
Source0:	mod_%{mod_name}-%{version}.tar.gz
Patch0:		%{name}-aplog.patch
BuildRequires:	%{apxs}
BuildRequires:	apache(EAPI)-devel
Prereq:		%{_sbindir}/apxs
Requires:	apache(EAPI)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR)

%description
This is an authentication module for Apache that uses an external
application compatibile with DJB's "checkpasswd". The application may
be setuid, which gives you a possibility to verify passwords using
regular /etc/shadow.

%description -l pl
To jest modu autentykujcy dla Apache ktry wykorzystuje zewntrzn
aplikacj kompatybiln z "checkpasswd" DJB. Aplikacja moe by
suidowana, co daje moliwo weryfikowania hase wykorzystujc zwyky
plik /etc/shadow.

%prep
%setup -q -c -n "mod_%{mod_name}-%{version}"
%patch -p1

%build
%{apxs} \
	-c mod_%{mod_name}.c \
	-o mod_%{mod_name}.so

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pkglibdir}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

%post
%{_sbindir}/apxs -e -a -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	%{_sbindir}/apxs -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: apache-mod_auth_checkpasswd.spec,v $
Revision 1.9  2002/06/30 00:35:18  kloczek
- release 4: use new %doc.

Revision 1.8  2002/04/25 15:45:10  arturs
fixed a small typo

Revision 1.7  2002/03/11 12:10:56  qboosh
- aplog patch with symbols update (s/aplog_error/ap_log_error) - should work but please test
- release 3

Revision 1.6  2002/02/23 01:13:38  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/17 21:03:37  ankry
- release 2

Revision 1.3  2002/02/17 18:52:19  ankry
- added %%{apxs} local macro to avoid adapter problems
- fix use of %%{apxs} and %%{_sbindir}/apxs
- added BR %%{apxs} and Prereq %%{_sbindir}/apxs (if necessary); removed BR apache
- adapterized

Revision 1.2  2002/01/18 02:12:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/11/23 20:25:35  zagrodzki
- initial release
